#ifndef CONFIG_H
#define CONFIG_H


class Details {
public:
	enum { max = 4 };
private:
	static Details * singleton_;
	int details_level_;
	Details() : details_level_(max) {}
public:
	static Details & Instance()
	{
		if (!singleton_) singleton_ = new Details;
		return *singleton_;
	}
	static void DestroyInstance() { delete singleton_; singleton_ = 0; }
	void Change(int i) {
		details_level_ += i;
		if (details_level_ < 0) details_level_ = 0;
		if (details_level_ > 4) details_level_ = 4;
	}	
	int Get() const { return details_level_; }
};


// Resize window to standard size, 0 has no effect.
void SetWindowSize(unsigned win_size);


#endif
